<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ImageGalleryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'title'       => ['required', 'string', 'max:190'],
            'status'      => ['required', 'numeric', 'max:24'],
            'image'       => $this->route('imageGallery.id') ? ['nullable', 'image', 'mimes:jpg,jpeg,png', 'max:1024'] : ['required', 'image', 'mimes:jpg,jpeg,png', 'max:1024'],
        ];
    }
}